Subject: Re: bug#73950: 29.4; File locations missing in compilation log

From: Eli Zaretskii <[email-masked]>
Date: Tue, 22 Oct 2024 20:30:46 +0300

> From: Sean Devlin <[email-masked]>
> Date: Tue, 22 Oct 2024 12:19:04 -0400
> Cc: [email-masked]
> 
> > Thanks, this is an exact duplicate of bug#73949, which you submitted
> > 15 minutes earlier.  So I'm merging the two bugs.
> 
> I think these are separate issues.
> 
> Bug#73949 is a specific compilation error in magit.
> 
> Bug#73950 is not specific to magit. My complaint is that the package compilation log (regardless of the package) lacks file location prefixes if you install non-interactively via the user init file. For example, try replacing magit with ef-themes in the recipe, and you will see a bunch of warnings without any file locations.

I think they are the same issue, but let's see what the investigation
uncovers.  We can always unmerge the bugs if needed.